org.apache.jmeter.samplers

## Class StatisticalSampleSender

- java.lang.Object
- - org.apache.jmeter.samplers.AbstractSampleSender
  - - org.apache.jmeter.samplers.StatisticalSampleSender

- All Implemented Interfaces:
    java.io.Serializable, SampleSender

      public class StatisticalSampleSender
      extends AbstractSampleSender
      implements java.io.Serializable

  Implements batch reporting for remote testing.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatisticalSampleSender()` Deprecated. only for use by test code

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sampleOccurred(SampleEvent e)` Stores sample events until either a time or sample threshold is breached.
    `void` | `testEnded(java.lang.String host)` Checks if any sample events are still present in the sampleStore and sends them to the listener.

    - ### Methods inherited from class org.apache.jmeter.samplers.AbstractSampleSender

      `isClientConfigured, testEnded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticalSampleSender

          @Deprecated
          public StatisticalSampleSender()

      Deprecated. only for use by test code

  - ### Method Detail

    - #### testEnded

          public void testEnded(java.lang.String host)

      Checks if any sample events are still present in the sampleStore and sends them to the listener. Informs the listener that the test ended.
      Specified by:
        `testEnded` in interface `SampleSender`
      Parameters:
        `host` - the hostname that the test has ended on.

    - #### sampleOccurred

          public void sampleOccurred(SampleEvent e)

      Stores sample events until either a time or sample threshold is breached. Both thresholds are reset if one fires. If only one threshold is set it becomes the only value checked against. When a threshold is breached the list of sample events is sent to a listener where the event are fired locally.
      Specified by:
        `sampleOccurred` in interface `SampleSender`
      Parameters:
        `e` - a Sample Event

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.